# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#

$LOAD_PATH.unshift(File.absolute_path("#{__dir__}/../.."))
require 'easy_type'
require 'puppet_x/vulnerability/implementation/validate'

# Validate that your system doesn't have vulnerabilities above a specified level.
# When your system **does** contain the vulnerabilities, signal this to
# the puppet server
Puppet::Functions.create_function('vulnerability::validate') do
  # @param  level The you want to start reporting on. A vulnerability of this level or higher, results in a failure.
  # @param  allow_list The list of vulnerabilities you allow on this system without failing this function
  # @param  fail_on_unsafe If this is true, this function will throw an error.
  # @return The list of CVE's that violate your specified level.
  include Vulnerability::Validate
end
