# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:allow_list, :array_matching => true) do
  include EasyType

  data_type('Optional[Array[String[1]]]')

  desc <<-DESC
  The list of vulnerability id's you want to allow on your system.

  When a found vulnerability is on your allow list, it will not count in the number
  of identified vulnerabilities on the system.
  DESC

  defaultto []
end
