# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:when_more) do
  include EasyType

  newvalues(:warning, :WARNING, :error, :ERROR)
  data_type("Optional[Enum['warning', 'WARNING', 'error', 'ERROR']]")

  desc <<-DESC

      This resource allows you to specify which type of alert(warning or error) you want when more than specified vulnerabilities are found.

          vulnerability_status { 'mynode.example.com':
            ...
            when_used => 'warning|error',
            ...
          }

  DESC

  defaultto :error
end
