# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
module Vulnerability
  # Implementation of puppet function vulnerability::detected
  module Detected
    def self.included(base)
      base.dispatch :detected do
        param       'String[1]', :vulnerability_id
        return_type 'Boolean'
      end
    end

    def detected(vulnerability_id)
      return false unless closure_scope.include?('cve_list')

      closure_scope['cve_list'].key?(vulnerability_id)
    end
  end
end
