# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
module Vulnerability
  # Implementation of puppet function vulnerability::severity
  module Severity
    def self.included(base)
      base.dispatch :severity do
        param       'Vulnerability::Level', :level
        return_type 'Array[String[1]]'
      end
    end

    def severity(level)
      return [] unless closure_scope.include?('cve_list')

      closure_scope['cve_list'].select { |_c, data| data['severity'] == level }.keys
    end
  end
end
